Bug 1018755 - (CVE-2013-5800) CVE-2013-5800 OpenJDK: default keytab path information leak (JGSS, 8022931)
CVE-2013-5800 OpenJDK: default keytab path information leak (JGSS, 8022931)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131015,repor...
: Security
Depends On:
Blocks: 1017595 1017632
  Show dependency treegraph
 
Reported: 2013-10-14 07:34 EDT by Tomas Hoger
Modified: 2013-11-13 10:56 EST (History)
4 users (show)

See Also:
Fixed In Version: icedtea 2.4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-13 10:56:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2013-10-14 07:34:33 EDT
It was discovered that the JGSS component of OpenJDK could possibly leak information via exceptions.  An untrusted Java application or applet could possibly use this flaw to bypass certain Java sandbox restrictions and determine the path of the default keytab file.

http://docs.oracle.com/javase/7/docs/api/javax/security/auth/kerberos/KeyTab.html
Comment 1 Stefan Cornelius 2013-10-16 02:46:09 EDT
External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2013-1899837.html
Comment 2 Tomas Hoger 2013-10-16 04:37:36 EDT
Fixed in Oracle Java SE 7u45.

OpenJDK upstream commit:

http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/ffe487772a54
Comment 3 errata-xmlrpc 2013-10-17 13:40:19 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1440 https://rhn.redhat.com/errata/RHSA-2013-1440.html
Comment 4 errata-xmlrpc 2013-10-21 13:45:17 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1447 https://rhn.redhat.com/errata/RHSA-2013-1447.html
Comment 5 errata-xmlrpc 2013-10-22 13:20:51 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1451 https://rhn.redhat.com/errata/RHSA-2013-1451.html
Comment 6 errata-xmlrpc 2013-11-07 12:09:30 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1507 https://rhn.redhat.com/errata/RHSA-2013-1507.html
Comment 7 Tomas Hoger 2013-11-13 10:56:37 EST
Fixed in IcedTea7 2.4.3:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-October/025087.html

Note You need to log in before you can comment on or make changes to this bug.